declare type FilePath = string;
declare type SymbolType = 'type' | 'interface' | 'enum';
declare type UnusedFileIssues = Set<FilePath>;
declare type UnusedExportIssues = Record<string, Record<string, Issue>>;
export declare type Issue = {
    filePath: FilePath;
    symbol: string;
    symbols?: string[];
    symbolType?: SymbolType;
};
export declare type Issues = {
    files: UnusedFileIssues;
    exports: UnusedExportIssues;
    types: UnusedExportIssues;
    nsExports: UnusedExportIssues;
    nsTypes: UnusedExportIssues;
    duplicates: UnusedExportIssues;
};
export declare type IssueType = keyof Issues;
declare type LocalConfiguration = {
    entryFiles: string[];
    projectFiles: string[];
};
export declare type Configuration = LocalConfiguration & {
    cwd: string;
    include: {
        [key in IssueType]: boolean;
    };
    isShowProgress: boolean;
    jsDocOptions: {
        isReadPublicTag: boolean;
    };
};
export declare type ImportedConfiguration = LocalConfiguration | Record<string, LocalConfiguration>;
export {};
